- Qt 6.8
- Qt Sensors
- C++ Classes
- QOrientationSensor
- Qt 6.8.0 Reference Documentation

# QOrientationSensor Class

The QOrientationSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QOrientationSensor>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Sensors) target_link_libraries(mytarget PRIVATE Qt6::Sensors)
qmake: | QT += sensors
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QOrientationSensor(QObject *parent = nullptr)
virtual | ~QOrientationSensor()
QOrientationReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QOrientationReading instead of a QSensorReading.

For details about how the sensor works, see QOrientationReading.

See also QOrientationReading.

## Member Function Documentation

### `[explicit]` QOrientationSensor::QOrientationSensor(QObject *parent = nullptr)

Construct the sensor as a child of parent.

### `[virtual noexcept]` QOrientationSensor::~QOrientationSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QOrientationReading *QOrientationSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().